org.apache.maven.scm.provider.starteam.command.diff

## Class StarteamDiffCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.diff.AbstractDiffCommand
    - - org.apache.maven.scm.provider.starteam.command.diff.StarteamDiffCommand

All Implemented Interfaces:
  Command, StarteamCommand

    public class StarteamDiffCommand
    extends AbstractDiffCommand
    implements StarteamCommand

Version:
  $Id: StarteamDiffCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
Author:
  Dan T. Tran

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`StarteamDiffCommand()`

### Method Summary

Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(StarteamScmProviderRepository repo, ScmFileSet workingDirectory, ScmVersion startLabel, ScmVersion endLabel)`
`protected DiffScmResult` `executeDiffCommand(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion startVersion, ScmVersion endVersion)`

### Methods inherited from class org.apache.maven.scm.command.diff.AbstractDiffCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### StarteamDiffCommand

    public StarteamDiffCommand()

### Method Detail

#### executeDiffCommand

    protected DiffScmResult executeDiffCommand(ScmProviderRepository repo,
                                   ScmFileSet fileSet,
                                   ScmVersion startVersion,
                                   ScmVersion endVersion)
                                        throws ScmException

Specified by:
  `executeDiffCommand` in class `AbstractDiffCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine(StarteamScmProviderRepository repo,
                                                             ScmFileSet workingDirectory,
                                                             ScmVersion startLabel,
                                                             ScmVersion endLabel)
                                                                      throws ScmException

Throws:
  `ScmException`